| NFFT 3.5.0

- Main Page
- Modules
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Data Fields

Data Fields
fgt_plan Struct Reference
Applications » Fast Gauss transfrom with complex parameter

Structure for the Gauss transform. More...

## Data Fields
int | N
| number of source nodes
int | M
| number of target nodes
NFFT_C * | alpha
| source coefficients
NFFT_C * | f
| target evaluations
unsigned | flags
| flags for precomputation and approximation type
NFFT_C | sigma
| parameter of the Gaussian
NFFT_R * | x
| source nodes in
NFFT_R * | y
| target nodes in
NFFT_C * | pre_cexp
| precomputed values for dgt
int | n
| expansion degree
NFFT_R | p
| period, at least 1
NFFT_C * | b
| expansion coefficients

## Detailed Description

Structure for the Gauss transform.

Definition at line 66 of file fastgauss.c.

The documentation for this struct was generated from the following file:

- fastgauss.c